# Types

{% hint style="info" %}
This page describes the data types shared that are shared between the different Connect packages.
{% endhint %}

## `Networkish` <a href="#networkish" id="networkish"></a>

Networkish can be a number, a string or an object.

### As a number

| Type     | Description                                       |
| -------- | ------------------------------------------------- |
| `number` | [Chain ID](https://chainid.network) of a network. |

### As a string

| Type         | Description |
| ------------ | ----------- |
| \`"ethereum" | "rinkeby"   |

### As an object

| Name         | Type     | Description                                                                                                               |
| ------------ | -------- | ------------------------------------------------------------------------------------------------------------------------- |
| `chainId`    | `number` | [Chain ID](https://chainid.network) of a network.                                                                         |
| `ensAddress` | `string` | Address of the ENS resolver (optional). If not provided, Connect will attempt to find one that correspond to the chainID. |
| `name`       | `string` | Name of the network. It will be passed to ethers.js internally.                                                           |

## `IpfsResolverDeclaration`

IpfsResolverDeclaration can be a string, an object, or a `IpfsResolver` instance.

### As a string

| Type     | Description                                                                                                |
| -------- | ---------------------------------------------------------------------------------------------------------- |
| `string` | [URL template](https://en.wikipedia.org/wiki/URI_Template) containing the `{cid}` and `{path}` parameters. |

### As an object

| Name          | Type     | Description                                                                                                           |
| ------------- | -------- | --------------------------------------------------------------------------------------------------------------------- |
| `urlTemplate` | `string` | [URL template](https://en.wikipedia.org/wiki/URI_Template) containing the `{cid}` and `{path}` parameters (optional). |
| `cache`       | `number` | The number of query results to cache. Set to `0` to disable the cache (optional).                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragon-connect/api-reference/types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
